%   b = makemillabeld(a,classnr)
%
% Make the current labels the positive MIL class.
function b = makemillabeld(a,classnr)

if nargin<2
   classnr = [];
end

llnames = getlablistnames(a);
if ~isempty(classnr)
   a = changelablist(a,classnr);
   a = setname(a,strtrim(llnames(curlablist(a),:)));
end

if isempty(strmatch('millab',llnames))
   b = addlabels(a,getlab(a),'millab');
else
   lab = getlab(a);
   [thisnr,thisname] = curlablist(a);
   a = changelablist(a,'millab');
   b = setlabels(a,lab);
end



